import javax.bluetooth.*;

public class ServiceDiscoverer implements DiscoveryListener {
    private static final String SERVICE_NAME = "MyMobileChat";
    private ChatController controller = null;
    private ServiceRecord service = null;

    public ServiceDiscoverer(ChatController controller) {
        this.controller = controller;
    }

    public void deviceDiscovered(RemoteDevice remote,DeviceClass dClass) {}

    public void inquiryCompleted(int descType) {}

    public void servicesDiscovered(int transId,ServiceRecord[] services) {
        for(int j=0;j<services.length;j++) {
            DataElement dataElement = services[j].getAttributeValue(0x0100);
            if (dataElement != null && dataElement.getDataType() == DataElement.STRING) {
                if(SERVICE_NAME.equals(dataElement.getValue().toString())) {
                    service = services[j];
                    break;
                }
            }
        }
    }

    public void serviceSearchCompleted(int transId,int respCode) {
        String message = "";

        switch(respCode) {
            case DiscoveryListener.SERVICE_SEARCH_COMPLETED: message = "SERVICE_SEARCH_COMPLETED"; break;
	    case DiscoveryListener.SERVICE_SEARCH_ERROR: message = "SERVICE_SEARCH_ERROR"; break;
	    case DiscoveryListener.SERVICE_SEARCH_TERMINATED: message = "SERVICE_SEARCH_TERMINATED"; break;
	    case DiscoveryListener.SERVICE_SEARCH_NO_RECORDS: message = "SERVICE_SEARCH_NO_RECORDS"; break;
	    case DiscoveryListener.SERVICE_SEARCH_DEVICE_NOT_REACHABLE: message = "SERVICE_SEARCH_DEVICE_NOT_REACHABLE"; break;
        }

		controller.serviceSearchFinished(service,message);//calling a method from ChatController class
    }
}
